<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents


*   [plot][2]
    *   [Parameters][3]
    *   [Examples][4]

# Plot

Graphs plots from the pre module.

Import it with:
```javascript
       const plots = require('@epispot/epijs').plots
```
## plot

Plots models from pre or model modules. If in Node, this will generate a localhost, otherwise it will plot it in the HTML div element provided.

### Parameters

*   `model` **[Object][5]** A model class from the pre or model modules.
*   `time` **[Number][6]** The number of days to plot.
*   `name` **[String][7]** The ID of the plot. If this is in HTML, it will be the ID of the div element for the graph.
*   `title` **[String][7]** The title of the graph. (optional, default `'Cases vs. Time'`)

### Examples

```javascript
let susceptible = new Idiom("S-(B*S*I/p)");
let infected = new Idiom("I+(B*S*I/p)-(u*I)");
let recovered = new Idiom("R+(u*I)");

let key = {
    "S": 10000,
    "B": 0.3,
    "I": 100,
    "R": 0,
    "p": 10100,
    "u": 0.2
};

let sirm = new Model([[susceptible2, "S"], [infected2, "I"], [recovered2, "R"]], key)

plot(sirout1, 100, "SIR", "SIR Model (Population vs. Time)")
```

[1]: #http

[2]: #plot

[3]: #parameters

[4]: #examples

[5]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object

[6]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number

[7]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String
