---
title: EpiJS Module - Pre
---
<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents


*   [sir][2]
    *   [Parameters][3]
    *   [Examples][4]
*   [seir][5]
    *   [Parameters][6]
    *   [Examples][7]
*   [seird][8]
    *   [Parameters][9]
    *   [Examples][10]
*   [seihrd][11]
    *   [Parameters][12]
    *   [Examples][13]

# Pre

Pre-made models for disease outbreaks.

Import it with:
```javascript
       const pre = require('@epispot/epijs').pre
```
## sir

The SIR Model. Returns the model as a `model` class from the `model` module.

### Parameters

*   `rn` **[Number][14]** R Naught, or the amount of people one infected infects whlie infected.
*   `s` **[Number][14]** The Susceptible population at the beggining of the outbreak
*   `i` **[Number][14]** The Infected population at the beggining of th outbreak
*   `u` **[Number][14]** The recovery rate
*   `p` **[Number][14]** The total population.
*   `stochastic` **[Boolean][15]** Whether to make the model stochastic or not.

### Examples

```javascript
let sirmodel = sir(4, 9999, 1, 1/21, 10000, true)
```

Returns **any** A model class from the `model` module. .

## seir

The SEIR Model. Returns the model as a `model` class from the `model` module.

### Parameters

*   `rn` **[Number][14]** R Naught, or the amount of people one infected infects whlie infected.
*   `s` **[Number][14]** The Susceptible population at the beggining of the outbreak
*   `i` **[Number][14]** The Infected population at the beggining of th outbreak
*   `u` **[Number][14]** The recovery rate
*   `a` **[Number][14]** The incubation period
*   `p` **[Number][14]** The total population.
*   `stochastic` **[Boolean][15]** Whether to make the model stochastic or not.

### Examples

```javascript
seir(4, 9999, 1, 1/7, 1/7, 10000, true)
```

Returns **any** A model class from the `model` module. .

## seird

The SEIRD Model. Returns the model as a `model` class from the `model` module.

### Parameters

*   `rn` **[Number][14]** R Naught, or the amount of people one infected infects whlie infected.
*   `s` **[Number][14]** The Susceptible population at the beggining of the outbreak
*   `i` **[Number][14]** The Infected population at the beggining of the outbreak
*   `u` **[Number][14]** The recovery rate
*   `a` **[Number][14]** The incubation period
*   `d` **[Number][14]** The death rate
*   `p` **[Number][14]** The total population.
*   `stochastic` **[Boolean][15]** Whether to make the model stochastic or not.

### Examples

```javascript
seird(4, 99999, 1, 1/21, 1/14, 1/100, 10000, true)
```

Returns **any** A model class from the `model` module. .

## seihrd

The SEIHRD Model. Returns the model as a `model` class from the `model` module.

### Parameters

*   `rn` **[Number][14]** R Naught, or the amount of people one infected infects whlie infected.
*   `s` **[Number][14]** The Susceptible population at the beggining of the outbreak
*   `i` **[Number][14]** The Infected population at the beggining of the outbreak
*   `u` **[Number][14]** The recovery rate for the infected population
*   `uh` **[Number][14]** The recovery rate for the hospitalized population
*   `a` **[Number][14]** The incubation period
*   `di` **[Number][14]** The death rate for the infected population
*   `dh` **[Number][14]** The death rate for the hospitalized population
*   `h` **[Number][14]** The hospitalization rate
*   `p` **[Number][14]** The total population.
*   `stochastic` **[Boolean][15]** Whether to make the model stochastic or not.

### Examples

```javascript
seihrd(4, 9999, 1, 1/21, 1/40, 1/14, 1/100, 1/20, 1/30, 10000, true)
```

Returns **any** A model class from the `model` module. .

[1]: #gaussian

[2]: #sir

[3]: #parameters

[4]: #examples

[5]: #seir

[6]: #parameters-1

[7]: #examples-1

[8]: #seird

[9]: #parameters-2

[10]: #examples-2

[11]: #seihrd

[12]: #parameters-3

[13]: #examples-3

[14]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number

[15]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean
